package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 参数修改状态
 * @author 
 *
 */
public enum ModStatusEnum {
	 /** 页面隐藏 */
    HIDDEN(0, "隐藏"),
    /** 页面可查看 */
    VIEW(1, "查看"),
    /** 页面可修改 */
    EDIT(2, "修改"),
    /** 页面可删除 */
    DELETE(3, "删除"),
    /** 页面可修改删除 */
    EDITANDDELETE(4, "修改删除");

    private int value;
    private String desc;
    

    ModStatusEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
        
    }

    
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

	public static ModStatusEnum getByValue(int value) {
        for (ModStatusEnum modStatus : ModStatusEnum.values()) {
            if (modStatus.getValue() == value) {
                return modStatus;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (ModStatusEnum item : ModStatusEnum.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
